%define anolis_release 0.1
%global debug_package %{nil}

%{?!python_module:%define python_module() python3-%{**}}
%global flavor %{nil}
%if "%{flavor}" == "test"
%define psuffix -test
%bcond_without test
%else
%define psuffix %{nil}
%bcond_with test
%endif
%define skip_python2 1
Name:           python-Keras-Applications%{psuffix}
Version:        1.0.8
Release:        1.%{anolis_release}%{?dist}
Summary:        Reference implementations of deep learning models
License:        MIT
URL:            https://github.com/keras-team/keras-applications
Source0:        https://files.pythonhosted.org/packages/source/K/Keras_Applications/Keras_Applications-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-h5py
Requires:       python-numpy >= 1.9.1
# It won't work without it but we don't want a build loop in OBS
Recommends:     python-Keras
# match up with tensorflow
ExcludeArch:    %{ix86}
%if %{with test}
BuildRequires:  %{python_module Keras}
BuildRequires:  %{python_module h5py}
BuildRequires:  %{python_module numpy >= 1.9.1}
BuildRequires:  %{python_module pytest}
%endif

%description
Keras Applications is the applications module of the Keras deep
learning library. It provides model definitions and pre-trained
weights for a number of archictures, such as VGG16, ResNet50,
Xception, MobileNet, and more.

%package -n python3-Keras-Applications
Summary:        Reference implementations of deep learning models

%description -n python3-Keras-Applications
Keras Applications is the applications module of the Keras deep
learning library. It provides model definitions and pre-trained
weights for a number of archictures, such as VGG16, ResNet50,
Xception, MobileNet, and more.

%prep
%setup -q -n Keras_Applications-%{version}
# these fetch tensorflow data from aws sadly
rm tests/applications_test.py

%build
%py3_build

%install
%if !%{with test}
%py3_install
%fdupes %{buildroot}%{python3_sitelib}
%endif

%check
%if %{with test}
# test_decode_predictions - online test (fetches from google cloud)
%pytest -k 'not test_decode_predictions'
%endif

%if !%{with test}
%files -n python3-Keras-Applications
%doc README.md
%license LICENSE
%{python3_sitelib}/*
%endif

%changelog

* Sat Oct 9 2021 Zhongling He <zhongling.h@alibaba-inc.com>
- fix macro error
  * add %global debug_package %{nil} to get rid of empty debugsourcefiles.list error

* Wed Jul 07 2021 Weitao Zhou <yunqi.zwt@alibaba-inc.com>
- Bump new release 1.0.8-1.1:
  * removed python2 support
